Package org.apache.sling.event.impl.jobs.notifications

# Class NotificationUtility

java.lang.Object
org.apache.sling.event.impl.jobs.notifications.NotificationUtility

public abstract class NotificationUtility extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PROPERTY_TIME`
Event property containing the time for job start and job finished events.

## Constructor Summary

Constructors
Constructor
Description
`NotificationUtility()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`sendNotification(org.osgi.service.event.EventAdmin eventAdmin, String eventTopic, org.apache.sling.event.jobs.Job job, Long time)`
Helper method for sending the notification events.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PROPERTY_TIME

public static final String PROPERTY_TIME
Event property containing the time for job start and job finished events.

See Also:
  - Constant Field Values

## Constructor Details

### NotificationUtility

public NotificationUtility()

## Method Details

### sendNotification

public static void sendNotification(org.osgi.service.event.EventAdmin eventAdmin, String eventTopic, org.apache.sling.event.jobs.Job job, Long time)
Helper method for sending the notification events.